Bug 66514 - vsftpd-1.0.1-anon.patch break one_process_model
vsftpd-1.0.1-anon.patch break one_process_model
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vsftpd (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 14:09 EDT by Need Real Name
Modified: 2014-03-16 22:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-13 19:12:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-11 14:09:02 EDT
Description of Problem:

With the anon patch applied, you cannot activate the one_proces_model for
vsftpd, as the getpwnam functions are called from within the chroot()
environement, and it tries to use name services from within the chroot()
environment, which may fail, especially in the case of nscd being active.

If you remove the anon patch, it will not do the getpwnam() inside the 
chroot(), and will work as expected.

Version-Release number of selected component (if applicable):

vsftpd-1.0.1-5

Steps to Reproduce:
1. build vsftpd without the anon patch for testing
2. set one_process_model=YES, test, this works only without the anon patch
3. set one_process_model=NO, test, this works with both, and is the default

Actual Results:

With one_process_model=YES, vsftpd will either deny access, or report 
"OOPS: str_getpwnam".

Expected Results:

Both setting should work.

Additional Information:
Comment 1 Bill Nottingham 2002-12-13 19:12:53 EST
If it breaks things, it's not worth it. Fixed in 1.1.3-1.

Note You need to log in before you can comment on or make changes to this bug.